## net.dontdrinkandroot.lastfm.api.ws.fetcher
Interface Fetcher

All Known Implementing Classes:
  AbstractFetcher, DefaultFetcher

    public interface Fetcher

Method Summary
`LastfmResponse` `get(java.util.Map<java.lang.String,java.lang.String> parameters)` Perform a get request to the Last.fm API.
`double` `getWebRequestsPerSecond()` Get the current number of requests per second.
`LastfmResponse` `post(java.util.Map<java.lang.String,java.lang.String> parameters)` Perform a post request to the Last.fm API.

Method Detail

### getWebRequestsPerSecond

    double getWebRequestsPerSecond()

  Get the current number of requests per second. The returned value depends on the implementation and can mean the requests/sec over a specific interval or overall.

  Returns:
    The number of requests that this fetcher performed per second.

### post

    LastfmResponse post(java.util.Map<java.lang.String,java.lang.String> parameters)
                        throws LastfmWebServicesException

  Perform a post request to the Last.fm API.

  Parameters:
    `parameters` - A Key/Value map of HTTP parameters.
  Returns:
    The response returned from Last.fm.
  Throws:
    `LastfmWebServicesException` - Thrown on any fetching errors encountered.

### get

    LastfmResponse get(java.util.Map<java.lang.String,java.lang.String> parameters)
                       throws LastfmWebServicesException

  Perform a get request to the Last.fm API.

  Parameters:
    `parameters` - A Key/Value map of HTTP parameters.
  Returns:
    The response returned from Last.fm.
  Throws:
    `LastfmWebServicesException` - Thrown on any fetching errors encountered.

Copyright © 2012. All Rights Reserved.